Retrieve specific user by identifier
Retrieves complete profile information for a specific user by their unique identifier, providing access to user details, organization memberships, and activity history for administrative purposes and user management workflows.
Request
authorization
Authorization: Bearer <token>
Responses
application/json
{
"status": true,
"data": {
"id": "507f1f77bcf86cd799439023",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"picture": "https://example.com/images/profile-picture.jpg",
"role": "user",
"newsletter": true,
"hasPassword": true,
"has2FAActive": false,
"ssoUser": false,
"organizationId": "507f1f77bcf86cd799439024",
"organizations": [
{
"id": "507f1f77bcf86cd799439025",
"name": "Enterprise Corporation",
"slug": "enterprise-corp",
"picture": "https://cdn.applivery.com/orgs/507f1f77bcf86cd799439025/logo.png"
}
],
"organizationInfo": {
"id": "507f1f77bcf86cd799439026",
"name": "Acme Industries",
"slug": "acme-industries",
"picture": "https://cdn.applivery.com/orgs/507f1f77bcf86cd799439026/logo.png",
"createdBy": "507f1f77bcf86cd799439027",
"branding": {
"primaryColor": "#0066CC",
"logoUrl": "https://cdn.example.com/logo.png"
},
"store": {
"enabled": true,
"customDomain": "apps.acme.com"
},
"configuration": {
"defaultStorageProvider": "507f1f77bcf86cd799439028",
"enforceSSO": true
}
},
"language": "en",
"verificationStatus": "verified",
"activityTrace": {
"lastLogin": {
"dashboard": "2024-01-01T00: 00:00Z",
"sdk": "2024-01-01T00: 00:00Z",
"store": "2024-01-01T00: 00:00Z"
},
"lastAction": {
"dashboard": "2024-01-01T00: 00:00Z",
"sdk": "2024-01-01T00: 00:00Z",
"store": "2024-01-01T00: 00:00Z"
}
},
"intercomUserHash": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"createdAt": "2025-06-15T10: 00:00Z",
"updatedAt": "2026-02-03T15: 30:00Z"
}
}
application/json
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
application/json
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}